var mArticleId;
var body;
var myBody;
var imageUrl;

$(document).ready(function () {
  initialize();
});

function initialize() {
  getArticleId();
  getBody();
  getTextSize();
  setIsCkan();

  checkVideos();

  window.news.hideProgresView();
}


function setThemDayColor() {
  $("body").css("background", "#f5f5f5");
  $(".agray").css("color", "#555");
  $(".atitle").css("color", "#464646");
  $("img").css({
    "filter": "Alpha(opacity=255)",
    "-moz-opacity": "1.0",
    "opacity": "1.0"
  });
  $(".obout_news").css("color", "#040404");
  $("hr").css("background", "url(images/line.png) repeat-x");
  $(".pinlun").css("border-bottom", "1px solid #c9c9c9");
}

function setThemNightColor() {
  $("body").css("background", "#5f5f5f");
  $(".agray").css("color", "#666");
  $(".atitle").css("color", "#a5a5a5");
  $("img").css({
    "filter": "Alpha(opacity=100)",
    "-moz-opacity": "0.5",
    "opacity": "0.5"
  });
  $(".obout_news").css("color", "#555");
  $("hr").css("background", "url(images/night_line.png) repeat-x");
  $(".pinlun").css("border-bottom", "1px solid #303030");
}

function getArticleId() {
  if (window.news) {
    mArticleId = window.news.getArticleId();
  }
}

//function setCountImageUrl(){
//
//   if (window.news) {
//     imageUrl = window.news.getCountImageUrl();
//    }
//
//    //  alert(imageUrl)
//   //  $("#count_img").src =imageUrl;
//  if (typeof imageUrl == "undefined" || imageUrl == null || imageUrl == "") {
//    }else{
//      document.getElementById('count_img').src =imageUrl;
//    }
//}

function setCountImageUrl1(url) {
  //   alert(url)
  document.getElementById('count_img').src = url;
}



function getBody() {

  myBody = document.getElementById('article_body');
  if (window.news) {
    body = window.news.getContent();
    // $("#article_body").innerHTML = body;

    $("#article_body").html(body);
    //     $("#article_body").html("11<p id=diaocha_body></p ><script src=\"https://dt.mydrivers.com/diaocha/getdata.ashx?sysid=1068\"></script>");
    //   window.news.showdiaolgo($("#article_body").html())

    $("#div_oldfrom").hide();
    $("#div_from").show();
  }
}

function getTextSize() {
  if (window.news) {
    textSize = window.news.getTextSize();

    switch (textSize) {
      case 0:
        showSuperBigSize();
        break;
      case 1:
        showBigSize();
        break;
      case 2:
        showMidSize();
        break;
      case 3:
        showSmallSize();
        break;
    }
  }
}

function showSuperBigSize() {
  myBody.style.fontSize = "22px";
  myBody.style.lineHeight = "40px";
}

function showBigSize() {
  myBody.style.fontSize = "20px";
  myBody.style.lineHeight = "35px";
}

function showMidSize() {
  myBody.style.fontSize = "18px";
  myBody.style.lineHeight = "30px";
}

function showSmallSize() {
  myBody.style.fontSize = "16px";
  myBody.style.lineHeight = "25px";
}


function jubaoClick(rid, floor) {
  window.news.postReport(rid, floor);
}

//举报纠错
function correctError() {
  mArticleId = window.news.getArticleId();
  window.news.postErrorInfo(mArticleId);
}

//如果url存在，显示查看原文，不存在，则不显示查看原文。
function setIsCkan() {

  var url = window.news.getOpenUrl();
  if (url.length > 0) {
    $(".ckan").show();
  }
}

//跳转到外链
function lookOriginal() {
  window.news.openUrl();
}


function isEmpty(str) {
	return str === undefined || str === "" || str === null;
}


 var player = "";
 var currentIndex = 0;
 var players = document.getElementsByClassName("mydrivers_player");

 function checkVideos(){

    if (players && players.length > 0) {

    		for (var i = 0; i < players.length; i++) {
    		  	 player = players[i];
    		     grabVideoUrl(player);
    			 player.innerHTML = ""
    		}
    	}

    	function grabVideoUrl(player) {

        		if (typeof window.__videoId == typeof undefined) {
        			window.__videoId = 0;
        			currentIndex = 0;
        		}

        		var id = "mydrivers_player" + window.__videoId;
        		currentIndex = window.__videoId;
        		window.__videoId++;

        		player.setAttribute("id", id);
        		var parent = player.parentNode;
        		var weburl = player.getAttribute("href");


        		if (!isEmpty(weburl)) {

                 if(weburl.indexOf("weibo")>0){
                      window.news.getVideoHtml(weburl,currentIndex.toString())

                  }else if(weburl.indexOf("douyin")>0){

                      window.news.getDouyinVideoHtml(weburl,currentIndex.toString())

                  }else if(weburl.indexOf("kuaishou")>0){

                      window.news.getKuaiVideoHtml(weburl,currentIndex.toString())
                  }else if(weburl.indexOf("baijiahao")>0){

                       window.news.getBaijiahaoVideoHtml(weburl,currentIndex.toString())
                  }else if("v.qq.com"){
                       window.news.getTecentVideoHtml(weburl,currentIndex.toString())
                         }
        		}
        	}
        }



function loadWeiboUrl(htmlString,index) {

   var html = window.atob(htmlString);

	player = players[Number(index)];
	var id = "mydrivers_player" + index;
	var parent = player.parentNode;
	var urlReg = /(http|ftp|https):\/\/[\w\-_]+(\.[\w\-_]+)+([\w\-\.,@?^=%&:/~\+#]*[\w\-\@?^=%&/~\+#])?/g;

	var videoUrls = []
	var video720Url = [];


if (!isEmpty(html)) {

		var matchRes = html.match(urlReg);
		if (matchRes && matchRes.length > 0) {
			// console.log("全部网址", matchRes)
			for (var j = 0; j < matchRes.length; j++) {
				var url = matchRes[j];
				//   alert(url) ;
				if (url.indexOf(".mp4") > 0) {
					// 是视频

					var isSinaVideo = url.indexOf("video.weibocdn.com") > 0;

					var is720Video = isSinaVideo && url.indexOf("x720") > 0;
					var targetArray = is720Video ? video720Url : videoUrls;
					targetArray.splice(isSinaVideo ? 0 : targetArray.length, 0, url);
				} else {

//			     player.attr("onclick","window.news.goToLink('"+hrefUrl+"')");
//            	 player.attr("href","");
				}
			}
		}

		videoUrls = video720Url.concat(videoUrls);
		// console.log("找到视频地址", videoUrls, parent, player)

		if (videoUrls.length > 0) {
			// 找封面
			var thumb = "https://img.ithome.com/app/images/transparent.png";
			if (html.indexOf("\"page_pic\"") > 0) {

				var fragment = html.substring(html.indexOf("\"page_pic\""));
				if (fragment.indexOf("}") > 0) {

					fragment = fragment.substring(0, fragment.indexOf("}"));
					var picRes = fragment.match(urlReg);
					if (picRes && picRes.length == 1) {
						thumb = picRes[0];
					}
				}
			}

			var Vobject = document.createElement('video');
			Vobject.setAttribute("controls", "controls");
			Vobject.setAttribute("preload", "metadata");

			if(videoUrls[0].indexOf("hevc_mp4_hd")>0){
					Vobject.setAttribute("src", videoUrls[1]);
			}else{
		        	Vobject.setAttribute("src", videoUrls[0]);
			}
			Vobject.setAttribute("poster", thumb);
			Vobject.setAttribute("width", (window.screen.availWidth - 45).toString());
			parent.insertBefore(Vobject, document.getElementById(id));
			player.style.display = 'none';
		} else if (html.indexOf("没有权限")) {

		}
	}
}


function loadDouyinUrl (resDict, index) {

  //     alert(resDict);
//    var resDict = window.atob(resDict);
     if (!isEmpty (resDict)) {

     player = players [Number(index)];
    var  id = "mydrivers_player_" + index;
    var parent = player.parentNode;
    var dict = eval('(' + resDict + ' )' ) ;
    var videoUrl = dict["play_addr"];
    var  thumb = dict["pic"];

    var Vobject = document.createElement('video');

      Vobject.setAttribute ( "controls", "controls") ;

      Vobject.setAttribute("src", videoUrl);

      Vobject . setAttribute ("poster", thumb);

      Vobject . setAttribute ( "width", (window. screen. availWidth - 45) . toString());
      Vobject . setAttribute ("type", "video/mp4" );
      parent. insertBefore(Vobject, document . getElementById(id));
      player. style.display = 'none' ;
   }
}



function loadkUAIUrl(resDict,index) {

      if (!isEmpty (resDict)) {

        player = players [Number(index)];
       var  id = "mydrivers_player_" + index;
       var parent = player.parentNode;
       var dict = eval('(' + resDict + ' )' ) ;
       var videoUrl = dict["play_addr"];
       var  thumb = dict["pic"];

       var Vobject = document.createElement('video');

         Vobject.setAttribute ( "controls", "controls") ;

         Vobject.setAttribute("src", videoUrl);

         Vobject.setAttribute ("poster", thumb);

         Vobject . setAttribute ( "width", (window. screen. availWidth - 45) . toString());
         Vobject . setAttribute ("type", "video/mp4" );
         parent. insertBefore(Vobject, document . getElementById(id));
         player. style.display = 'none' ;
      }
}


 function onTopClick() {
//          window.location.hash = "#abc";

  $("html, body").animate({
      scrollTop: $("#abc").offset().top }, {duration: 500,easing: "swing"});
 //   return false;

  }


 function jumpto(type){

      switch(type){

        case 1:

             $("html, body").animate({scrollTop: $("#box1").offset().top }, {duration: 150,easing: "swing"});
           //  var  top=$("#box1").offset().top;
           //  window.news.scorllTo(top);
             break;

         case 2:

            $("html, body").animate({scrollTop: $("#box2").offset().top }, {duration: 150,easing: "swing"});
//                var top=$("#box2").offset().top;
//                window.news.scorllTo(top);
                break;

         case 3:

            $("html, body").animate({scrollTop: $("#box3").offset().top }, {duration: 150,easing: "swing"});

//             var top=$("#box3").offset().top;
//              window.news.scorllTo(top);
               break;

           case 4:

            $("html, body").animate({scrollTop: $("#box4").offset().top }, {duration: 150,easing: "swing"});

//               var top=$("#box4").offset().top;
//               window.news.scorllTo(top);
                 break;
          case 5:
               var  top=$("#box5").offset().top;
              window.news.scorllTo(top);
               break;
        }
 }



// function jumpto(type){
//
//      switch(type){
//
//        case 1:
//
//             var  top=$("#box1").offset().top;
//             window.news.scorllTo(top);
//             break;
//
//         case 2:
//
//                var top=$("#box2").offset().top;
//                window.news.scorllTo(top);
//                break;
//
//         case 3:
//
//             var top=$("#box3").offset().top;
//              window.news.scorllTo(top);
//               break;
//
//           case 4:
//
//               var top=$("#box4").offset().top;
//               window.news.scorllTo(top);
//                 break;
//          case 5:
//               var  top=$("#box5").offset().top;
//              window.news.scorllTo(top);
//               break;
//        }
// }



